Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DetailedTransactionInfo.XAMessage

    java.lang.Object
      com.tibco.tibjms.admin.DetailedTransactionInfo.XAMessage

Direct Known Subclasses:
  DetailedTransactionInfo.ConsumerMessage, DetailedTransactionInfo.ProducerMessage

Enclosing class:
  DetailedTransactionInfo

    public static class DetailedTransactionInfo.XAMessage

extends java.lang.Object

Method Summary
`java.lang.String` | `getDestinationName()` Get the destination name to which this message was sent.
`int` | `getDestinationType()` Get the destination type to which this message was sent.
`java.lang.String` | `getMessageID()` Get the message ID of this message.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDestinationName

    public java.lang.String getDestinationName()

  Get the destination name to which this message was sent.

  Returns:
    the destination name to which this message was sent. Null indicates the destination could not be found.

### getDestinationType

    public int getDestinationType()

  Get the destination type to which this message was sent. `DestinationInfo.ALL_TYPE` indicates the destination could not be found.

  Returns:
    the destination type to which this message was sent.
  See Also:
    `com.tibco.tibjms.admin.DestinationInfo.QUEUE_TYPE`, `com.tibco.tibjms.admin.DestinationInfo.TOPIC_TYPE`, `com.tibco.tibjms.admin.DestinationInfo.ALL_TYPE`

### getMessageID

    public java.lang.String getMessageID()

  Get the message ID of this message.

  Returns:
    The message ID of this message. Null indicates the message ID could not be obtained or was disabled.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved